All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
testing::internal::Random Class Reference

## Public Member Functions

| Random (UInt32 seed)
void | Reseed (UInt32 seed)
UInt32 | Generate (UInt32 range)

## Static Public Attributes

static const UInt32 | kMaxRange = 1u << 31

## Detailed Description

Definition at line 752 of file gtest-internal.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/internal/gtest-internal.h